Package org.gradle.tooling

# Interface StreamedValueListener

public interface StreamedValueListener
Receives a value sent via `BuildController.send(Object)`.

Objects are received in the order they were sent and all objects are received before the result of the `BuildAction` is returned to the application.

Since:
  8.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onValue(Object value)`
  Handles the next value.

- ## Method Details

  - ### onValue

    void onValue(Object value)
    Handles the next value.
    Since:
      8.6